注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

信息 灵感 创新

I? =Information,Inspiration,Innovation

 
 
 

日志

 
 
关于我

we are 5. Mathematics, Computation, Programming, Engineering, and Making fun of life.

网易考拉推荐

通过给定点和两已知直线做垂线段  

2010-12-09 21:21:30|  分类: ObjectARX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

这个是在objectArx网站上看到别人提的问题,其实一开始我也不会,不过看了别人的提示之后,也就会了,废话少说,上代码:

[CommandMethod("test")]

public void test()

{

    Document doc = Application.DocumentManager.MdiActiveDocument;

    Database db = doc.Database;

    Transaction trans = db.TransactionManager.StartTransaction();

    BlockTable bt = trans.GetObject(db.BlockTableId, OpenMode.ForRead) as BlockTable;

    BlockTableRecord btr = trans.GetObject(bt[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord;

    Line l1 = new Line(new Point3d(100, 400, 0), new Point3d(200, 600, 0));

    Line l2 = new Line(new Point3d(150, 400, 0), new Point3d(300, 700, 0));

    l1.ColorIndex = 2;

    l2.ColorIndex = 2;

    Point3d p1, p2;

    p1 = l1.GetClosestPointTo(new Point3d(500, 500, 0), true);

    p2 = l2.GetClosestPointTo(p1, true);

    Line c = new Line(p1,p2);

    c.ColorIndex = 1;

    btr.AppendEntity(l1);

    trans.AddNewlyCreatedDBObject(l1, true);

    btr.AppendEntity(l2);

    trans.AddNewlyCreatedDBObject(l2, true);

    btr.AppendEntity(c);

    trans.AddNewlyCreatedDBObject(c, true);

    trans.Commit();

    trans.Dispose();

}

 运行后效果如下,红色线段即是:

通过给定点和两已知直线做垂线段 - Castor - 趁年轻,多折腾~~

 

 

  评论这张
 
阅读(923)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016